<?xml version = '1.0' encoding = 'UTF-8'?>
<Table class="oracle.dbtools.crest.model.design.relational.Table" directorySegmentName="seg_0" id="8457F5C9-9A22-6913-3D43-537055B98E61" name="CASTOR_FILE_EVENTS">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>NTOF</sourceObjSchema>
<sourceObjName>CASTORFILEEVENTS</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<ordsAlias>castorfileevents</ordsAlias>
<allowColumnReorder>false</allowColumnReorder>
<existDependencyGenerateInDDl>true</existDependencyGenerateInDDl>
<parsed>true</parsed>
<columns itemClass="oracle.dbtools.crest.model.design.relational.Column">
<Column name="CFE_ID" id="6FAEDEBE-AAD5-FE09-D434-89F3001A455E">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>CASTORFILEEVENTS</sourceObjSchema>
<sourceObjName>CFE_ID</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<commentInRDBMS>Event ID</commentInRDBMS>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<ownDataTypeParameters>,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
</Column>
<Column name="CFE_EVENT" id="4FC50998-6444-317C-3F28-364812C47774">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>CASTORFILEEVENTS</sourceObjSchema>
<sourceObjName>CFE_EVENT</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<commentInRDBMS>Event number</commentInRDBMS>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<ownDataTypeParameters>,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
</Column>
<Column name="CFE_OFFSET" id="B3ACFCE0-E2AF-D3DB-6681-B851BFC41BE4">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>CASTORFILEEVENTS</sourceObjSchema>
<sourceObjName>CFE_OFFSET</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<commentInRDBMS>Event offset in CASTOR file</commentInRDBMS>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<ownDataTypeParameters>,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
</Column>
<Column name="CFE_SEQUENCE" id="FB3BA3ED-EA74-1EBE-EF7F-FBE6F07C3F83">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>CASTORFILEEVENTS</sourceObjSchema>
<sourceObjName>CFE_SEQUENCE</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<ownDataTypeParameters>,,</ownDataTypeParameters>
<autoIncrementCycle>false</autoIncrementCycle>
</Column>
<Column name="CFE_CF_ID" id="57606EBF-D38E-6E21-0B11-06022416C30D">
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<useDomainConstraints>false</useDomainConstraints>
<use>1</use>
<logicalDatatype>LOGDT019</logicalDatatype>
<ownDataTypeParameters>,,</ownDataTypeParameters>
<previousColumn>false</previousColumn>
<autoIncrementCycle>false</autoIncrementCycle>
<associations>
<colAssociation fkAssociation="1729A6F0-4316-2B6C-7B01-921E1F203732" referredColumn="156FDEF5-F9FE-6CFE-D955-88110CBBE97D"/>
</associations>
</Column>
</columns>
<indexes itemClass="oracle.dbtools.crest.model.design.relational.Index">
<ind_PK_UK id="AF215327-8798-BE22-AD13-112FBB0C00AD" name="CFE_PK">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>NTOF</sourceObjSchema>
<sourceObjName>CASTORFILEEVENTS_PK</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<pk>true</pk>
<indexState>Primary Constraint</indexState>
<isSurrogateKey>false</isSurrogateKey>
<indexColumnUsage>
<colUsage columnID="6FAEDEBE-AAD5-FE09-D434-89F3001A455E"/>
</indexColumnUsage>
</ind_PK_UK>
<ind_PK_UK id="6F3AB0B5-B3FF-A027-5CC6-8DE2489A92FF" name="CFE_UNIQUE_CST">
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<indexState>Unique Constraint</indexState>
<isSurrogateKey>false</isSurrogateKey>
<indexColumnUsage>
<colUsage columnID="4FC50998-6444-317C-3F28-364812C47774"/>
<colUsage columnID="57606EBF-D38E-6E21-0B11-06022416C30D"/>
</indexColumnUsage>
</ind_PK_UK>
<ind_PK_UK id="96BBBF32-5FF9-C5BD-9793-7AF4A96EBFE9" schemaObject="0EF4DB71-ABCC-C06F-7A4F-446E9E0D7379" name="CFE_PK_IDX">
<sourceConnName>ntof</sourceConnName>
<sourceObjSchema>NTOF</sourceObjSchema>
<sourceObjName>CASTORFILEEVENTS_PK</sourceObjName>
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<indexState>Unique Plain Index</indexState>
<isSurrogateKey>false</isSurrogateKey>
<indexColumnUsage>
<colUsage columnID="6FAEDEBE-AAD5-FE09-D434-89F3001A455E"/>
</indexColumnUsage>
</ind_PK_UK>
<ind_PK_UK id="4C51DD18-7AD7-01D6-736A-0853EB5ACF61" name="CFE_CF_ID_IDX">
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:29 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<isSurrogateKey>false</isSurrogateKey>
<indexColumnUsage>
<colUsage columnID="57606EBF-D38E-6E21-0B11-06022416C30D"/>
</indexColumnUsage>
</ind_PK_UK>
<ind_PK_UK id="BC86B8BE-0040-DCB4-5886-455CF614984A" name="CFE_CF_ID_FK">
<createdBy>sfargier</createdBy>
<createdTime>2019-02-25 15:44:30 UTC</createdTime>
<ownerDesignName>n_TOF_database</ownerDesignName>
<indexState>Foreign Key</indexState>
<isSurrogateKey>false</isSurrogateKey>
<indexColumnUsage>
<colUsage columnID="57606EBF-D38E-6E21-0B11-06022416C30D"/>
</indexColumnUsage>
</ind_PK_UK>
</indexes>
</Table>